# DataExchange
TKIGES
IGESSelect

# IGESSelect_DispPerSingleView Class Reference

This type of dispatch defines sets of entities attached to
distinct single views. This information appears in the
Directory Part. Drawings are taken into account too,
because of their frames (proper lists of annotations)
Remaining data concern entities not attached to a single view.
.

`#include <IGESSelect_DispPerSingleView.hxx>`

Inheritance diagram for IGESSelect_DispPerSingleView:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_DispPerSingleView ()
| Creates a DispPerSingleView .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns as Label, "One File per single View or Drawing Frame" .
Standard_EXPORT void | Packets (const Interface_Graph &G, IFGraph_SubPartsIterator &packs) const
| Computes the list of produced Packets. Packets are computed by a ViewSorter (SortSingleViews with also frames). .
virtual Standard_EXPORT Standard_Boolean | CanHaveRemainder () const
| Returns True, because of entities attached to no view. .
virtual Standard_EXPORT Interface_EntityIterator | Remainder (const Interface_Graph &G) const
| Returns Remainder which is a set of Entities. It is supposed to be called once Packets has been called. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESSelect_ViewSorter | thesorter

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_DispPerSingleView::IGESSelect_DispPerSingleView | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean IGESSelect_DispPerSingleView::CanHaveRemainder | ( |  | ) | const`[virtual]`

| Reimplemented from IFSelect_Dispatch.

Standard_EXPORT const IGESSelect_DispPerSingleView::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Dispatch.

Standard_EXPORT TCollection_AsciiString IGESSelect_DispPerSingleView::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Dispatch.

Standard_EXPORT void IGESSelect_DispPerSingleView::Packets | ( | const Interface_Graph & | G,
|  | IFGraph_SubPartsIterator & | packs
| ) | const`[virtual]`

| Implements IFSelect_Dispatch.

virtual Standard_EXPORT Interface_EntityIterator IGESSelect_DispPerSingleView::Remainder | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Reimplemented from IFSelect_Dispatch.

## Field Documentation

Handle_IGESSelect_ViewSorter IGESSelect_DispPerSingleView::thesorter `[private]`

The documentation for this class was generated from the following file:

- IGESSelect_DispPerSingleView.hxx